Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class DescendantNodeJoinCondition

    java.lang.Object
      org.modeshape.graph.query.model.DescendantNodeJoinCondition

All Implemented Interfaces:
  Serializable, JoinCondition, LanguageObject, Visitable

Direct Known Subclasses:
  JcrDescendantNodeJoinCondition

    @Immutable
    public class DescendantNodeJoinCondition

extends Object
implements JoinCondition

A join condition that evaluates to true only when the named node is a descendant of another named node.

See Also:
  Serialized Form

Constructor Summary
`DescendantNodeJoinCondition(SelectorName ancestorSelectorName, SelectorName descendantSelectorName)` Create a join condition that determines whether the node identified by the descendant selector is indeed a descendant of the node identified by the ancestor selector.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`SelectorName` | `ancestorSelectorName()` Get the name of the selector for the ancestor node.
`SelectorName` | `descendantSelectorName()` Get the name of the selector for the descedant node.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescendantNodeJoinCondition

    public DescendantNodeJoinCondition(SelectorName ancestorSelectorName,
                                       SelectorName descendantSelectorName)

  Create a join condition that determines whether the node identified by the descendant selector is indeed a descendant of the node identified by the ancestor selector.

  Parameters:
    `ancestorSelectorName` - the name of the ancestor selector
    `descendantSelectorName` - the name of the descendant selector

Method Detail

### descendantSelectorName

    public final SelectorName descendantSelectorName()

  Get the name of the selector for the descedant node.

  Returns:
    the selector name of the descendant node; never null

### ancestorSelectorName

    public final SelectorName ancestorSelectorName()

  Get the name of the selector for the ancestor node.

  Returns:
    the selector name of the ancestor node; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.